# List Activities

Show all activities the requesting manager has access permissions to.

**URL**: `/api/v1/activities/`\
**Method**: `GET`

## Query Parameters

### Pagination

Default pagination is 20 results per page.

* `limit` — Number of results to return per page.\
  Example: `limit=20`
* `offset` — The initial index from which to return the results.\
  Example: `offset=21`

{% hint style="info" %}
Default page size: 20 results per page.
{% endhint %}

### Filtering

<details>

<summary>Possible filters</summary>

* `action__in`
  * values can be: `consumption`, `f_consumption`, `check`, `activation`, `deactivation`, `activation_offline`, `deactivation_offline`, `trial_key`, `keygen`, `order`, `license_issued`, `change_password`, `customer_license_users`, `floating_release`, `installation_file`, `versions`, `product_details`, `get_device_variables`, `track_device_variables`, `ping`, `single_sign_on`, `floating_borrow`
* `product__in`
* `license__in`
* `status_code__in`
* `ts__*` — where `*` can be `lte`, `gte`, `lt`, `gt`
* `status_code__*` — where `*` can be `lte`, `gte`, `lt`, `gt`

</details>

## Success Response

**Code**: `200 OK`

{% code title="Response (application/json)" %}

```json
{
    "count": 604,
    "next": "http://127.0.0.1:5000/api/v1/activities/?limit=20&offset=20",
    "previous": null,
    "results": [
        {
            "id": 11475,
            "ts": "2020-07-07T12:35:29Z",
            "action": "order",
            "count": 1,
            "extra": null,
            "status_code": 200,
            "company": 277,
            "product": null,
            "license": null
        },
        ...
    ]
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/management-api/analytics/list-activities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
